# menu.yml

You can use PlaceholderAPI and local placeholders found in [Placeholders](/plugins/leaderboardmenus/placeholders.md#menu-placeholders)

## Main Menu options

### Title

{% code fullWidth="false" %}

```yaml
title: TEXT
```

{% endcode %}

The menu title. Format: <https://docs.advntr.dev/minimessage/format.html>

### Rows

{% code fullWidth="false" %}

```yaml
rows: NUMBER # 1 - 6
```

{% endcode %}

The number of rows the menu should have (1 to 6).

### Open When Empty

{% code fullWidth="false" %}

```yaml
open_when_empty: BOOLEAN # true / false
```

{% endcode %}

Whether to open the menu even if there are no players to display.

### Leaderboard

{% code fullWidth="false" %}

```yaml
leaderboard_item:
  display_name: "TEXT"
  # ...
```

{% endcode %}

Define how a leaderboard looks in the menu.

***

## Menu options

### Title

{% code fullWidth="false" %}

```yaml
title: TEXT
```

{% endcode %}

The menu title. Format: <https://docs.advntr.dev/minimessage/format.html>

### Rows

{% code fullWidth="false" %}

```yaml
rows: NUMBER # 1 - 6
```

{% endcode %}

The number of rows the menu should have (1 to 6).

### Max Entries

```yaml
max_entries: NUMBER
```

The maximum number of entries allowed in a menu (above 0).

### Open When Empty

{% code fullWidth="false" %}

```yaml
open_when_empty: BOOLEAN # true / false
```

{% endcode %}

Whether to open the menu even if there are no players to display.

### Refresh Cooldown

{% code fullWidth="false" %}

```yaml
refresh_cooldown: NUMBER
```

{% endcode %}

Cooldown to use the REFRESH click command in milliseconds\
Set to 0 to disable

### Leaderboard Player

{% code fullWidth="false" %}

```yaml
leaderboard_player:
  display_name: "TEXT"
  # ...
```

{% endcode %}

Define how a leaderboard player item looks in the menu.

{% hint style="info" %}
See [#items](#items "mention") on how to create items
{% endhint %}

***

## Items

### Syntax

{% code fullWidth="false" %}

```yaml
itemName:
  custom_model_data: NUMBER
  leather_color: COLOR
  amount: NUMBER
  display_name: TEXT
  lore:
  - TEXT
  - TEXT
  enchantments:
  - ENCHANTMENT;LEVEL
  item_flags:
  - ITEM_FLAG
  hide_<item_flag>: BOOLEAN
  hide_tooltip: BOOLEAN
  glow: BOOLEAN
  click_commands:
  - "[TYPE] DATA"
  left_click_commands:
  - "[TYPE] DATA"
  right_click_commands:
  - "[TYPE] DATA"
  shift_left_click_commands:
  - "[TYPE] DATA"
  shift_right_click_commands:
  - "[TYPE] DATA"
```

{% endcode %}

This is the common syntax for creating items. Below are the explanations for each option.&#x20;

### Custom Model Data

{% code fullWidth="false" %}

```yaml
custom_model_data: NUMBER
```

{% endcode %}

The custom model data for the item. Used with custom resource packs.

### Leather Color

{% code fullWidth="false" %}

```yaml
leather_color: COLOR
```

{% endcode %}

The RGB colors in leather armor. Format: R,G,B (values separated by a comma)

### Amount

{% code fullWidth="false" %}

```yaml
amount: NUMBER
```

{% endcode %}

The item's amount. Default: 1. Max: 99

### Display Name

{% code fullWidth="false" %}

```yaml
display_name: TEXT
```

{% endcode %}

The item display name. Uses MiniMessage format: <https://docs.advntr.dev/minimessage/format.html>

### Lore

{% code fullWidth="false" %}

```yaml
lore:
- TEXT
- TEXT
```

{% endcode %}

The item lore. Uses MiniMessage format: <https://docs.advntr.dev/minimessage/format.html>

### Enchantments

{% code fullWidth="false" %}

```yaml
enchantments:
- ENCHANTMENT;LEVEL
```

{% endcode %}

The item enchantments. <https://www.digminecraft.com/lists/enchantment_list_pc.php>

### Item Flag

{% code fullWidth="false" %}

```yaml
item_flags:
- ITEM_FLAG
```

{% endcode %}

The item flags. <https://jd.papermc.io/paper/1.20.4/org/bukkit/inventory/ItemFlag.html>

Alternative:

```yaml
hide_enchants: BOOLEAN           # true / false
hide_attributes: BOOLEAN         # true / false
hide_unbreakable: BOOLEAN        # true / false
hide_destroys: BOOLEAN           # true / false
hide_placed_on: BOOLEAN          # true / false
hide_additional_tooltip: BOOLEAN # true / false
hide_dye: BOOLEAN                # true / false
hide_armor_trim: BOOLEAN         # true / false
hide_stored_enchants: BOOLEAN    # true / false
```

### Hide Tooltip

{% code fullWidth="false" %}

```yaml
hide_tooltip: BOOLEAN # true / false
```

{% endcode %}

Whether the item should hide its tooltip completely.

### Glow

{% code fullWidth="false" %}

```yaml
glow: BOOLEAN # true / false
```

{% endcode %}

Whether the item should glow.

### Click Commands

{% code fullWidth="false" %}

```yaml
click_commands: # Universal for all click types
- "[TYPE] DATA"

left_click_commands: # Left click
- "[TYPE] DATA"

right_click_commands: # Right click
- "[TYPE] DATA"

shift_left_click_commands: # Shift + Left click
- "[TYPE] DATA"

shift_right_click_commands: # Shift + Right click
- "[TYPE] DATA"
```

{% endcode %}

<table><thead><tr><th width="133">Type</th><th>Argument (Data)</th><th>Description</th><th>Example</th></tr></thead><tbody><tr><td>PLAYER</td><td>Command without "/"</td><td>Executes a command as the player</td><td>"[PLAYER] help"</td></tr><tr><td>CONSOLE</td><td>Command without "/"</td><td>Executes a command from the console</td><td>"[CONSOLE] give %player_name% minecraft:diamond 1"</td></tr><tr><td>CHAT</td><td>Message</td><td>Sends a chat message as the player</td><td>"[CHAT] Hey there!"</td></tr><tr><td>MESSAGE</td><td>Message</td><td>Sends a message to the player</td><td>"[MESSAGE] Hey %player_name%!"</td></tr><tr><td>SOUND</td><td>Key: <a href="https://www.digminecraft.com/lists/sound_list_pc.php">https://www.digminecraft.com/lists/sound_list_pc.php</a><br><br>Volume (optional): A float number >= 0<br><br>Pitch (optional): A float number, 0.0 - 2.0</td><td>Sends a sound effect to the player</td><td>"[SOUND] entity.generic.explode"<br><br>"[SOUND] entity.generic.explode 1.0"<br><br>"[SOUND] entity.generic.explode 1.0 2.0"</td></tr><tr><td>CLOSE</td><td>-</td><td>Closes the menu</td><td>"[CLOSE]"</td></tr><tr><td>PREVIOUS</td><td>-</td><td>Goes to the previous menu page</td><td>"[PREVIOUS]"</td></tr><tr><td>NEXT</td><td>-</td><td>Goes to the next menu page</td><td>"[NEXT]"</td></tr><tr><td>FIRST</td><td>-</td><td>Goes to the first menu page</td><td>"[FIRST]"</td></tr><tr><td>LAST</td><td>-</td><td>Goes to the last menu page</td><td>"[LAST]"</td></tr><tr><td>[SEARCH]</td><td>Input: double<br><strong>SCORE ABOVE</strong><br><strong>SCORE BELOW</strong><br><strong>SCORE EQUALS</strong><br><br>Input: integer<br><strong>POSITION ABOVE</strong><br><strong>POSITION BELOW</strong><br><strong>POSITION EQUALS</strong><br><br>Input: string<br><strong>NAME CONTAINS</strong><br><strong>NAME CONTAINS IGNORECASE</strong><br><br><strong>NAME EQUALS</strong><br><strong>NAME EQUALS IGNORECASE</strong><br><br>Optional, if omitted, will use NAME CONTAINS IGNORECASE</td><td>Opens a sign as an input mean and displays the matched players based on the criteria (defined in data)<br><br>IGNORECASE: the input is case-insensitive</td><td>"[SEARCH]"<br>"[SEARCH] NAME EQUALS IGNORECASE"</td></tr><tr><td>[RESETSEARCH]</td><td>-</td><td>Resets search filters used in [SEARCH]</td><td>"[RESETSEARCH]"</td></tr><tr><td>[REFRESH]</td><td>-</td><td>Reloads entry values and updates placeholders</td><td>"[REFRESH]"</td></tr></tbody></table>

## Slotted Items

Items that have slots associated with them. Found in:

* **menu.yml > menu > items**
* **boards.yml > boards > \[board] > custom\_items**

### Material

{% code fullWidth="false" %}

```yaml
material: TEXT
```

{% endcode %}

The item material. <https://hub.spigotmc.org/javadocs/bukkit/org/bukkit/Material.html>

Supported skull material values:

<pre class="language-yaml"><code class="lang-yaml">material: head-playerName
material: head-%player_name% # Viewer's skull texture

material: basehead-&#x3C;base64 texture>
material: texture-&#x3C;<a data-footnote-ref href="#user-content-fn-1">id</a>>
</code></pre>

### Slot(s)

{% code fullWidth="false" %}

```yaml
slot: NUMBER # 0 - 53 (depends on menu size)
```

{% endcode %}

Multiple slots:

```yaml
slots:
- NUMBER
- NUMBER
```

Ranged slots:

```yaml
slots:
- NUMBER-NUMBER
- NUMBER-NUMBER
```

The slots the item should be in, first slot is 0. Max: 53 (with 6 menu rows)

## Leaderboard Player Items

Custom material, glow, and enchantments are not supported.\
You can use placeholders found in [Placeholders](/plugins/leaderboardmenus/placeholders.md#leaderboard-player-specific-placeholders)

[^1]: The ID after `https://textures.minecraft.net/textures/`&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aeonxd.xyz/plugins/leaderboardmenus/configuration/menu.yml.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
